wiki:projects/LowMACA/AppDocumentation

TOC(heading=Install and Use LowMACA)?

How to install the app

LowMACA app is a GUI extension of LowMACA package with new interactive plots and analysis types. It requires R >= 3.2.1. Beware! There are known issues with R 3.2.0, upgrade to a more recent version to use the app!

For our Bioconductor package, visit http://www.bioconductor.org/packages/release/bioc/html/LowMACA.html

LowMACA was tested on Windows, Linux and MacOS but there are some things you have to do before running the app according to your operating system.

If you are a Windows user, you should be able to run the app without any installation required. Just skip to "how to run the App"

If you are a MacOS or Linux user, you are required to install Clustal Omega (our trusted aligner) and Ghostscript. Ghostscript is often already present in the major unix distribution but check if the version is > 9.1.

For Clustal Omega, we wrote a simple installer for Unix OS, just run from a terminal:

cd /path/to/LowMACA_unified_app
source Download_and_Install_ClustlO.sh

For Ghostscript, we found a useful pkg here http://pages.uoregon.edu/koch/Ghostscript-9.16.pkg for macOS and the Linux binaries can be found here:

After the installation, check if the command gs is in the PATH by running which gs from command line terminal.



How to run the app

Open an R session and set the working directory to the LowMACA_unified_app folder:

> setwd("/path/to/LowMACA_unified_app")

then run the R code "runApp.R" as following:

> source("runApp.R")

R will open a browser page with the app. The manual on how to use it is in help page inside the app itself At the first run, all the missing R libraries will be installed. just type "y" when a compilation is required.



Known Issues

  • Beware that R 3.2.0 is not correct. Biostrings and MotIV packages have known issues with this R version
  • Package "DT" could be not compatible with R version 3.2.2 . In case runApp.R stops at downloading DT from CRAN, try the development version and then run again our app:
    > library(devtools)
    > devtools::install_github('rstudio/DT')
    
  • Iceweasel Debian browser could have some problems with google charts plots. The LowMACA app was tested successfully on Firefox, Chrome and Safari


Use the LowMACA app

LowMACA cheatsheet



LowMACA App Tutorial

Follow our video tutorial to discover all the LowMACA functionalities!

Last modified 2 years ago Last modified on Oct 2, 2015 4:17:48 PM

Attachments (2)

Download all attachments as: .zip